<!DOCTYPE html>
<!-- Copyright (C) 2012 libertyernie

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE. -->
<?php
	$filenames = array("st_battle.rel", "st_final.rel",
			"st_dolpic.rel", "st_mansion.rel", "st_mariopast.rel",
			"st_kart.rel", "st_donkey.rel", "st_jungle.rel",
			"st_pirates.rel", "st_norfair.rel", "st_orpheon.rel",
			"st_crayon.rel", "st_halberd.rel", "st_starfox.rel",
			"st_stadium.rel", "st_tengan.rel", "st_fzero.rel",
			"st_ice.rel", "st_gw.rel", "st_emblem.rel",
			"st_madein.rel", "st_earth.rel", "st_palutena.rel",
			"st_famicom.rel", "st_newpork.rel", "st_village.rel",
			"st_metalgear.rel", "st_greenhill.rel", "st_pictchat.rel",
			"st_plankton.rel", "st_config.rel", "st_dxshrine.rel",
			"st_dxyorster.rel", "st_dxgarden.rel", "st_dxonett.rel",
			"st_dxgreens.rel", "st_dxpstadium.rel", "st_dxrcruise.rel",
			"st_dxcorneria.rel", "st_dxbigblue.rel", "st_dxzebes.rel",
			"st_oldin.rel", "st_homerun.rel", "st_stageedit.rel",
			"st_heal.rel", "st_otrain.rel", "st_tbreak.rel");
	$stagenames = array("Battlefield",
			"Final Destination", "Delfino Plaza", "Luigi's Mansion",
			"Mushroomy Kingdom", "Mario Circuit", "75 m",
			"Rumble Falls", "Pirate Ship", "Norfair",
			"Frigate Orpheon", "Yoshi's Island (Brawl)", "Halberd",
			"Lylat Cruise", "Pok&#233;mon Stadium 2", "Spear Pillar",
			"Port Town Aero Dive", "Summit", "Flat Zone 2",
			"Castle Siege", "WarioWare Inc.", "Distant Planet",
			"Skyworld", "Mario Bros.", "New Pork City", "Smashville",
			"Shadow Moses Island", "Green Hill Zone", "PictoChat",
			"Hanenbow", "ConfigTest", "Temple",
			"Yoshi's Island (Melee)", "Jungle Japes", "Onett",
			"Green Greens", "Pok&#233;mon Stadium", "Rainbow Cruise",
			"Corneria", "Big Blue", "Brinstar", "Bridge of Eldin",
			"Homerun", "Edit", "Heal", "Online Training",
			"TargetBreak");
	$items = array(
			"Assist Trophy",
			"Franklin Badge",
			"Banana Peel",
			"Barrel",
			"Beam Sword",
			"Bill (coin mode)",
			"Bob-Omb",
			"Crate",
			"Bumper",
			"Capsule",
			"Rolling Crate",
			"CD",
			"Gooey Bomb",
			"Cracker Launcher",
			"Cracker Launcher Shot",
			"Coin",
			"Superspicy Curry",
			"Superspice Curry Shot",
			"Deku Nut",
			"Mr. Saturn",
			"Dragoon Part",
			"Dragoon Set",
			"Dragoon Sight",
			"Trophy",
			"Fire Flower",
			"Fire Flower Shot",
			"Freezie",
			"Golden Hammer",
			"Green Shell",
			"Hammer",
			"Hammer Head",
			"Fan",
			"Heart Container",
			"Homerun Bat",
			"Party Ball",
			"Manaphy Heart",
			"Maxim Tomato",
			"Poison Mushroom",
			"Super Mushroom",
			"Metal Box",
			"Hothead",
			"Pitfall",
			"Pokball",
			"Blast Box",
			"Ray Gun",
			"Ray Gun Shot",
			"Lipstick",
			"Lipstick Flower",
			"Lipstick Shot",
			"Sandbag",
			"Screw Attack",
			"Sticker",
			"Motion-Sensor Bomb",
			"Timer",
			"Smart Bomb",
			"Smash Ball",
			"Smoke Screen",
			"Spring",
			"Star Rod",
			"Star Rod Shot",
			"Soccer Ball",
			"Super Scope",
			"Super Scope shot",
			"Star",
			"Food",
			"Team Healer",
			"Lightning",
			"Unira",
			"Bunny Hood",
			"Warpstar");
	$rows_displayed = 24;
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link rel='stylesheet' type='text/css' href='http://lakora.us/rel/styles.css' />
<title>Brawl Stage Module Converter (BSMC)</title>
</head>
<body>
<div id="licenseText">
	<div class="ltbox">
		This page is free software under<br/>the terms of the <a
			href="license.txt">Expat license.</a><br />
			<a href="source.tar.gz">Source code</a> (.tar.gz format)
	</div>
	<div class="ltbox">
		<i>Update log:</i><br/>
		June 4 (ported to PHP)
	</div>
</div>
	<form action="sendRel.php">

		<div id="mainTable">
			<h1>Brawl Stage Module Converter</h1>
			<hr/>
			<table>
				<tr>
					<td colspan=2>Base .REL: st_otrain.rel</td>
					<input type="hidden" name="base" value="st_otrain.rel"/>
				</tr>
				<tr>
					<td>Base .REL:</td>
					<td>To replace:</td>
				</tr>
				<tr>
					<td><select name="item" size=<?php echo $rows_displayed; ?>>
							<?php for ($i=0; $i<count($items); $i++) {
								echo '<option value="' . $i . '">' . $items[$i] . '</option>';
							} ?>
					</select></td>
					<td><select name="replace" size=<?php echo $rows_displayed; ?>>
							<?php for ($i=0; $i<count($filenames); $i++) {
								echo '<option value="' . $filenames[$i] . '">' . $stagenames[$i] . '</option>';
							} ?>
							<option value="st_customXX.rel">STGCUSTOM</option>
					</select></td>
				</tr>
				<tr>
					<td colspan=2>
						<input type="radio" name="region" value="RSBE" checked/>North America
						<input type="radio" name="region" value="RSBP"/>Europe
					</td>
				</tr>
				<tr>
					<td colspan=2><input type="submit" id="submitButton"
						value="DOWNLOAD" /></td>
				</tr>
			</table>
		</div>
	</form>
</body>
</html>
